#
# spec file for package yast2-lib-sequencer (Version 2.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-lib-sequencer
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
BuildArchitectures: noarch
Summary:      YaST2 - wizard sequencer library
Version:      2.4.2
Release:      60
Source0:      yast2-lib-sequencer-2.4.2.tar.bz2

%description
The YaST2 library with routines for processing workflows of dialogs.

Authors:
--------
    Michal Svec <msvec@suse.cz> 
    

SuSE series: yast

%package devel
Summary:      YaST2 Wizard Sequencer Library for developers
Version:      2.4.2
Release:      60
Group:		Development/Libraries

%description devel
Documentation for the YaST2 library with routines for processing workflows of dialogs.

SuSE series: yast

%prep
%setup -n yast2-lib-sequencer-2.4.2

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/wizard
/usr/lib/YaST2/include/wizard/sequencer.ycp

%files devel
%dir /usr/share/doc/packages/yast2-lib-sequencer
/usr/share/doc/packages/yast2-lib-sequencer/*

%changelog -n yast2-lib-sequencer
* Wed Aug 29 2001 - msvec@suse.cz
- minor makefiles fixes
- enabled abuild parse check
- version 2.4.2
* Fri Aug 10 2001 - kkaempf@suse.de
- split off -devel package (for documentation)
* Tue Jul 10 2001 - ro@suse.de
- removed yast2-core-translator from neededforbuild
* Wed Jul 04 2001 - msvec@suse.cz
- adapted to the system agent split
- new libycp fixes
- version 2.4.0
* Tue Apr 17 2001 - msvec@suse.cz
- added examples to the documentation
- added WS_check and its testsuite
- removed isnil's
- version 2.3.5
* Fri Apr 13 2001 - msvec@suse.cz
- abuild checking enabled
- testsuite fixed
- version 2.3.4
* Tue Apr 10 2001 - msvec@suse.cz
- abuild checking disabled
- version 2.3.3
* Wed Apr 04 2001 - msvec@suse.cz
- fix the first popup case
- enabled abuild checking
- version 2.3.2
* Tue Mar 13 2001 - msvec@suse.cz
- testsuite
- new libycp adaptation
- prepared for test at build time
- doc moved to RPMNAME
- version 2.3.1
- initial version
